const app = getApp()
import $http from './../../API/http'
Page({
  data: {
    focus: false,
    inputValue: '',
    messagedetail: '',
    type: ''
  },
  recharg(){
    dd.showLoading({
      content: '加载中...'
    });
    let data = {
      ddUserId: dd.getStorageSync({ key: 'userId' }).data,
      orderPrice: this.data.inputValue
    }
    const _that = this;
    $http.$http('isv/charge/charge_alipay', data, 'GET').then((res) => {
      _that.ddPayFn(res)
    }).catch((res) => {
      dd.hideLoading();
      console.log('rechargError')
    })
  },
  changeRechargeNum(event){
    const _that = this;
    switch (event.target.dataset.num) {
      case '20':
        _that.setData({
          inputValue: '20',
          type: '1'
        })
        break;
      case '30':
        _that.setData({
          inputValue: '30',
          type: '2'
        })
        break;
      case '50':
        _that.setData({
          inputValue: '50',
          type: '3'
        })
        break;
      case '100':
        _that.setData({
          inputValue: '100',
          type: '4'
        })
        break;
      case '200':
        _that.setData({
          inputValue: '200',
          type: '5'
        })
        break;
      case '300':
        _that.setData({
          inputValue: '300',
          type: '6'
        })
    }
  },
  ddPayFn(str){
    const _that = this;
    console.log('调用成功')
    console.log(str)
    return new Promise((resolve, reject) => {
      dd.pay({
        info: str.orderString, // 订单信息
        success: res => {
          console.log(JSON.stringify(res) + 'ddPayFnSuccess')
          console.log(res)
          if(res.resultStatus === "9000"){
            dd.redirectTo({
              url: `/pages/rechargeSuccess/rechargeSuccess?money=${this.data.inputValue}`
            })
            dd.hideLoading();
          } else {
            dd.alert({
              content: '充值失败',
              buttonText: '确定'
            })
            dd.hideLoading();
          }
            /*{
                memo: 'xxxx', // 保留参数，一般无内容
                result: 'xxxx', // 本次操作返回的结果数据
                resultStatus: '' // 本次操作的状态返回值，标识本次调用的结果
            }*/
        },
        fail: err =>{
            dd.alert({
                content: '充值失败',
                buttonText: '确定'
            })
        }
      })
    }).catch((err) => {
      console.log(err)
      dd.alert({
        content: err, 
        buttonText: '确定'
      });
    })
  },
  bindKeyInput(e) {
    this.setData({
      inputValue: e.detail.value,
      type: ''
    });
  },
  onLoad(query) {
    // 页面加载
    console.info(`Page onLoad with query: ${JSON.stringify(query)}`);
    dd.setNavigationBar({title: '充值'});
  },
  onReady() {
    // 页面加载完成
  },
  onShow() {
    // 页面显示
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onPullDownRefresh() {
    // 页面被下拉
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});
