const app = getApp()
import $http from './../../API/http'
Page({
  data:{
    trxNo: '',
    recordData: {}
  },
  onLoad(query) {
    // 页面加载
    console.log(query);
    this.setData({
      trxNo: query.trxNo
    })
    dd.setNavigationBar({title: '账单详情'});
  },
  onReady() {
    this.queryListPaymentRecord()
  },
  timeToStr (time) {
    time = time.replace(/\-/g, "/")
    let timeData = new Date(time)
    let year = timeData.getFullYear()
    let month = timeData.getMonth() + 1
    let date = timeData.getDate()
    let hour = timeData.getHours()
    let minute = timeData.getMinutes()
    return `${year}年${month.toString().length > 1 ? month : '0' + month}月${date.toString().length > 1 ? date : '0' + date}日${hour.toString().length > 1 ? hour : '0' + hour}:${minute.toString().length > 1 ? minute : '0' + minute}`
  },
  queryListPaymentRecord() {
    const _that = this;
    let data = {
      currentPage: 1,
      pageNumber: 10,
      trxNo: this.data.trxNo
    }
    $http.$http('isv/consume/list_payment_record', data, 'GET').then((res) => {
      data = res.recordList[0]
      data.createDate = _that.timeToStr(data.createDate);
      _that.setData({
        recordData: data
      })
      dd.hideLoading();
    }).catch((res) => {
      dd.hideLoading();
      console.log(res)
    })
  },
  onShow() {
    // 页面显示
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onPullDownRefresh() {
    // 页面被下拉
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});
